#include "Game.h"
#include "cGameClearWin.h"
#include "resource.h"

cGameClearWin::cGameClearWin(){

}

cGameClearWin::~cGameClearWin(){

}

BOOL cGameClearWin::RegisterClass(){
	return cWindow::RegisterClass(
		"GameClearWin", 
		CS_HREDRAW | CS_VREDRAW, 
		LoadIcon(*GetGameApp(), MAKEINTRESOURCE(IDR_GAMEAPP)),
		LoadCursor(NULL, MAKEINTRESOURCE(IDC_ARROW)),
		(HBRUSH)GetStockObject(BLACK_BRUSH));
}

//////////////////////////////////////////////////////////////////////
// Window Prodedure
//////////////////////////////////////////////////////////////////////

LRESULT cGameClearWin::Proc(UINT uMsg, WPARAM wParam, LPARAM lParam){
	switch(uMsg){
	case WM_CREATE:
		if(!OnCreate(wParam, lParam))
			return -1;
		return 0;
	case WM_DESTROY:
		OnDestroy(wParam, lParam);
		return 0;
	case WM_PAINT:
		OnPaint(wParam, lParam);
		return 0;
	}
	return DefProc(uMsg, wParam, lParam);
}


BOOL cGameClearWin::OnCreate(WPARAM wParam, LPARAM lParam){
	return TRUE;
}

void cGameClearWin::OnDestroy(WPARAM wParam, LPARAM lParam){
}

void cGameClearWin::OnPaint(WPARAM wParam, LPARAM lParam){
	PAINTSTRUCT ps;
	HDC hdc;
	hdc = BeginPaint(&ps);
	TextOut(hdc, 0, 0, "GameClearWin");
	EndPaint(&ps);
}